cdfGetFields {affxparser} | R Documentation

## Gets a subset of groups fields in a CDF structure

### Description

Gets a subset of groups fields in a CDF structure.

This `function` is design to be used with `applyCdfGroups`() on an Affymetrix Mapping (SNP) CDF `list` structure.

### Usage

    cdfGetFields(groups, fields, ...)

### Arguments

`groups` | A `list` of groups.
`fields` | A `character` `vector` of names of fields to be returned.
`...` | Not used.

### Details

Note that an error is not generated for missing fields. Instead the field is returned with value `NA`. The reason for this is that it is much faster.

### Value

Returns a `list` structure of groups.

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

### See Also

`applyCdfGroups`().

[Package affxparser version 1.6.2 Index]